<?php

/*
 * Copyright (c) 2018 Earworks.
 * Codeigniter Project Template Modification
 * Please contact our email for more information :
 *  contact@earworks.co.id
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Description of Migration_Add_roles
 *
 * @author Fajar Dwi Rianto <fajar@earworks.co.id>
 * @since 1.0
 */
class Migration_Add_roles extends CI_Migration {

    public function up() {
        echo "Start Roles Table Migration \n";
        $this->dbforge->add_field(array(
            'roleid' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => true,
                'auto_increment' => true
            ),
            'rolename' => array(
                'type' => 'VARCHAR',
                'constraint' => '255'
            ),
            'roledescription' => array(
                'type' => 'TEXT',
                'null' => true,
            ),
            'rolestatus' => array(
                'type' => 'VARCHAR',
                'constraint' => '255',
                'null' => true
            ),
            'created' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            ),
            'modified' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            )
        ));
        $this->dbforge->add_key('roleid', true);
        if ($this->dbforge->create_table('roles')) {
            echo "Status : Success \n";
        } else {
            echo "Status : FAILED \n";
        }
    }

    public function down() {
        $this->dbforge->drop_table('roles');
    }

}
